#!/bin/bash

lmax=120 # on devrait pouvoir aller jusqu'a 124 mais ca ne marche pas ...

cat <<eod>| tmp.jnl
set memory/size=50
use "./grilles_gcm.nc"
use "http://dodsp.idris.fr/cgi-bin/nph-dods/rpsl500/ERAI/NETCDF/GLOBAL_075/4xdaily/AN_PL/2011/u.201101.aphei.GLOBAL_075.nc"
use "http://dodsp.idris.fr/cgi-bin/nph-dods/rpsl500/ERAI/NETCDF/GLOBAL_075/4xdaily/AN_PL/2011/v.201101.aphei.GLOBAL_075.nc"

let uwnd=u
let vwnd=v

define axis/t=1-jan-2011:31-jan-2011:6/units=hours thour
define grid/like=uwnd[d=2]/x=grille_u[d=1]/y=grille_u[d=1] grille_u
define grid/like=vwnd[d=3]/x=grille_v[d=1]/y=grille_v[d=1] grille_v
define grid/like=uwnd[d=2]/x=grille_v[d=1]/y=grille_u[d=1] grille_T

save/clobber/file=u.nc uwnd[d=2,g=grille_u,i=1:49,j=1:37,l=1,gt=thour@asn]
repeat/l=1:$lmax save/file="u.nc"/append uwnd[d=2,g=grille_u,i=1:49,j=1:37,gt=thour@asn]

save/clobber/file=v.nc vwnd[d=3,g=grille_v,i=1:49,j=1:36,l=1,gt=thour@asn]
repeat/l=1:$lmax save/file="v.nc"/append vwnd[d=3,g=grille_v,i=1:49,j=1:36,gt=thour@asn]

eod

ferret -nojnl <<eod
go tmp.jnl
quit
eod

echo Vous pouvez aussi recuperer les scripts plus automatiques sur
echo svn co http://forge.ipsl.jussieu.fr/igcmg/svn/CONFIG/LMDZOR/branches/LMDZOR_v4/CREATE/SCRIPT
echo et modifier dans SCRIPT/interp_from_era.ksh .
echo 'indir=..'
echo 'gridfile=.../grilles_gcm.nc'
echo 'varlist="u v" ( les variables a interpoler ) '
echo 'outdir=..'
echo 'first_year=2011'
echo 'last_year=2011'
echo 'rundir=.'
